# $Id: mini-lander.spec.in 10209 2011-05-31 18:53:23Z yuri $

Name: mini-lander
Version: 0.4
Release: 1
Summary: Mini-Lander
Group: System Environment/Daemons
Packager: USC/ISI LANDER
Vendor: USC/ISI LANDER
Source: lander-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)
License: GNU GPL Version 2

BuildRequires:  dag >= 3.0.0
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  openssl-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libstdc++-devel
BuildRequires:  libpcap-devel

Requires: dag
Requires: /usr/bin/dagload
Requires: openssl
Requires: libpcap

Prefix: /var/spool/LANDER

%description
LANDER is a distributed system for collecting packet traces using
EndAce DAG hardware, anonymizing them, and distributing to users.
LANDER also provides users with primitives to run concurrent trace
analysis.  Typically, LANDER uses an HPC cluster to work with high
data rate traffic and big external NFS mounted RAID, so storage and
compute power are not a problem.

Mini-LANDER is a poor-man version of LANDER suitable for situations
where HPCC is not available.  Mini-LANDER runs a few daemons/cron jobs
on a single system to perform typical LANDER tasks, but it has to take
into account a limited local storage and finite compute power of the
system it is istalled on.


%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/lander-%{version}.tar.gz

%setup -q -n lander-%{version} 
#%patch -p1

%build
#autoreconf -i
%configure --with-rpm

%install
%makeinstall
make mini-lander-files

%clean
make uninstall_minilander >/dev/null 2>&1

%pre

%post

%preun

%postun

%files -f mini-lander-files
%defattr(-, plander, lc_cp)
%{_sysconfdir}/rc.d/init.d/dagtalker
%{_bindir}/

%changelog
* Thu May 26 2011  yuri <yuri@isi.edu>
- version 0.3, cleanup and sync to the latest
* Fri Mar 27 2009  yuri <yuri@isi.edu>
- version 0.2, major rework of the build process
* Wed Mar 11 2009  yuri <yuri@isi.edu>
- version 0.1, release 5: latest scripts and tweaks
* Tue Dec 16 2008  yuri <yuri@isi.edu>
- version 0.1, release 4: bug fixes for fedora 10
* Wed Jul 14 2008  yuri <yuri@isi.edu> 
- version 0.1, release 1
